SuSE 10 Security Update : MySQL (ZYPP Patch Number 6897)

High Nessus Plugin ID 45107


The remote SuSE 10 host is missing a security-related patch.


This update fixes various security issues (bnc#557669) :

upstream #47320 - checking server certificates (CVE-2009-4028) upstream #48291 - error handling in subqueries (CVE-2009-4019) upstream #47780 - preserving null_value flag in GeomFromWKB() (CVE-2009-4019) upstream #39277 - symlink behaviour fixed (CVE-2008-7247) upstream #32167 - symlink behaviour refixed (CVE-2009-4030) fixing remote buffer overflow. (CVE-2009-4484)


Apply ZYPP patch number 6897.

See Also

Plugin Details

Severity: High

ID: 45107

File Name: suse_mysql-6897.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2010/03/19

Modified: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/03/01

Exploitable With

Core Impact

Metasploit (MySQL yaSSL CertDecoder::GetName Buffer Overflow)

Reference Information

CVE: CVE-2008-7247, CVE-2009-4019, CVE-2009-4028, CVE-2009-4030, CVE-2009-4484

CWE: 20, 59, 119